Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.higgins.ics.gwt.icm.client.panel.category
Class CategoryPanelItem

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.google.gwt.user.client.ui.Panel
                  com.google.gwt.user.client.ui.ComplexPanel
                      com.google.gwt.user.client.ui.CellPanel
                          com.google.gwt.user.client.ui.HorizontalPanel
                              org.eclipse.higgins.ics.gwt.icm.client.panel.category.CategoryPanelItem

All Implemented Interfaces:
  com.google.gwt.user.client.EventListener, com.google.gwt.user.client.ui.HasAlignment, com.google.gwt.user.client.ui.HasHorizontalAlignment, com.google.gwt.user.client.ui.HasVerticalAlignment, com.google.gwt.user.client.ui.HasWidgets, com.google.gwt.user.client.ui.IndexedPanel, com.google.gwt.user.client.ui.SourcesMouseEvents

public class CategoryPanelItem
extends com.google.gwt.user.client.ui.HorizontalPanel
implements com.google.gwt.user.client.ui.SourcesMouseEvents

Author:
  Alexander Yuhimenko

Nested Class Summary

Nested classes inherited from class com.google.gwt.user.client.ui.HasHorizontalAlignment
`com.google.gwt.user.client.ui.HasHorizontalAlignment.HorizontalAlignmentConstant`

Nested classes inherited from class com.google.gwt.user.client.ui.HasVerticalAlignment
`com.google.gwt.user.client.ui.HasVerticalAlignment.VerticalAlignmentConstant`

Field Summary

Fields inherited from interface com.google.gwt.user.client.ui.HasHorizontalAlignment
`ALIGN_CENTER, ALIGN_LEFT, ALIGN_RIGHT`

Fields inherited from interface com.google.gwt.user.client.ui.HasVerticalAlignment
`ALIGN_BOTTOM, ALIGN_MIDDLE, ALIGN_TOP`

Constructor Summary
`CategoryPanelItem(Category category)`

Method Summary
`void` | `addMouseListener(com.google.gwt.user.client.ui.MouseListener listener)`
`void` | `addMouseWheelListener(com.google.gwt.user.client.ui.MouseWheelListener listener)`
`Category` | `getCategory()`
`com.google.gwt.user.client.ui.Label` | `getLabel()`
`void` | `removeMouseListener(com.google.gwt.user.client.ui.MouseListener listener)`
`void` | `removeMouseWheelListener(com.google.gwt.user.client.ui.MouseWheelListener listener)`

Methods inherited from class com.google.gwt.user.client.ui.HorizontalPanel
`add, getHorizontalAlignment, getVerticalAlignment, insert, remove, setHorizontalAlignment, setVerticalAlignment`

Methods inherited from class com.google.gwt.user.client.ui.CellPanel
`getSpacing, setBorderWidth, setCellHeight, setCellHorizontalAlignment, setCellVerticalAlignment, setCellWidth, setSpacing`

Methods inherited from class com.google.gwt.user.client.ui.ComplexPanel
`getWidget, getWidgetCount, getWidgetIndex, iterator, remove`

Methods inherited from class com.google.gwt.user.client.ui.Panel
`clear`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`getParent, isAttached, onBrowserEvent, removeFromParent`

Methods inherited from class com.google.gwt.user.client.ui.UIObject
`addStyleDependentName, addStyleName, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleName, getStylePrimaryName, getTitle, isVisible, isVisible, removeStyleDependentName, removeStyleName, setHeight, setPixelSize, setSize, setStyleName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkEvents, toString, unsinkEvents`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CategoryPanelItem

    public CategoryPanelItem(Category category)

Method Detail

### addMouseListener

    public void addMouseListener(com.google.gwt.user.client.ui.MouseListener listener)

  Specified by:
    `addMouseListener` in interface `com.google.gwt.user.client.ui.SourcesMouseEvents`
  Parameters:
    `listener` -
  See Also:
    `Label.addMouseListener(com.google.gwt.user.client.ui.MouseListener)`

### addMouseWheelListener

    public void addMouseWheelListener(com.google.gwt.user.client.ui.MouseWheelListener listener)

  Parameters:
    `listener` -
  See Also:
    `Label.addMouseWheelListener(com.google.gwt.user.client.ui.MouseWheelListener)`

### getCategory

    public Category getCategory()

  Returns:
    the category

### getLabel

    public com.google.gwt.user.client.ui.Label getLabel()

  Returns:
    the label

### removeMouseListener

    public void removeMouseListener(com.google.gwt.user.client.ui.MouseListener listener)

  Specified by:
    `removeMouseListener` in interface `com.google.gwt.user.client.ui.SourcesMouseEvents`
  Parameters:
    `listener` -
  See Also:
    `Label.removeMouseListener(com.google.gwt.user.client.ui.MouseListener)`

### removeMouseWheelListener

    public void removeMouseWheelListener(com.google.gwt.user.client.ui.MouseWheelListener listener)

  Parameters:
    `listener` -
  See Also:
    `Label.removeMouseWheelListener(com.google.gwt.user.client.ui.MouseWheelListener)`

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD